#!/usr/bin/make -f

#~export DH_GOLANG_GO_GENERATE := 1

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -type d -empty -delete -print
#	-find . -type f -name '*.generated.go' -print -delete ## delete .generated.go files

override_dh_auto_test:
#	dh_auto_test

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_compress:
	dh_compress --exclude=".json"
